package cd.casic.module.terminal.convert;


import cd.casic.module.terminal.dal.dataobject.TerminalConnectLogDO;
import cd.casic.module.terminal.controller.dto.TerminalConnectDTO;
import cd.casic.module.terminal.controller.request.TerminalConnectLogQueryRequest;
import cd.casic.module.terminal.controller.vo.TerminalConnectLogVO;
import cd.casic.module.terminal.host.terminal.model.request.host.TerminalConnectLogCreateRequest;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import java.util.List;


/**
 *
 * 终端连接日志 内部对象转换器
 *
 * @author Yuru Pu
 * @version 1.0
 * @since 2025/7/8 13:54
 */
@Mapper
public interface TerminalConnectLogConvert {

    TerminalConnectLogConvert MAPPER = Mappers.getMapper(TerminalConnectLogConvert.class);

    TerminalConnectLogDO to(TerminalConnectLogCreateRequest request);

    TerminalConnectLogDO to(TerminalConnectLogQueryRequest request);

    TerminalConnectLogVO to(TerminalConnectLogDO domain);

    TerminalConnectLogCreateRequest to(TerminalConnectDTO dto);

    List<TerminalConnectLogVO> to(List<TerminalConnectLogDO> list);

}
